/*
    g15thunderbird.js
    By YuGiOhJCJ <yugiohjcj@1s.fr>
    http://yugiohjcj.1s.fr/
    20090715

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

if(!com) var com={};
if(!com.g15thunderbird) com.g15thunderbird={};
if(!com.g15thunderbird.functions) com.g15thunderbird.functions={

	getpathToDrawOnG15File: function(){
		var id = "g15@thunderbird.com";
		var em = Components.classes["@mozilla.org/extensions/manager;1"].
			getService(Components.interfaces.nsIExtensionManager);
		var file = em.getInstallLocation(id).getItemFile(id, "chrome/content/draw-on-g15-20090609/draw-on-g15");
		
		return file;
	},

	drawOnG15: function(args){

		// Create a process for the file
		var process = Components.classes["@mozilla.org/process/util;1"].createInstance(Components.interfaces.nsIProcess);

		// Init the process
		process.init(com.g15thunderbird.variables.pathToDrawOnG15File);

		// Run the process arguments
		process.run(false, args, args.length);
	}
}

if(!com.g15thunderbird.variables) com.g15thunderbird.variables={
	pathToDrawOnG15File: com.g15thunderbird.functions.getpathToDrawOnG15File(),
}

com.g15thunderbird.functions.drawOnG15(["-t", "[g15thunderbird]", "", "By YuGiOhJCJ <yugiohjcj@1s.fr>", "", "http://yugiohjcj.1s.fr/"]);

Components.classes["@mozilla.org/messenger/msgnotificationservice;1"]
	.getService(Components.interfaces.nsIMsgFolderNotificationService)
	.addListener({
			 itemAdded: function(item){
				com.g15thunderbird.functions.drawOnG15(["-t", "[g15thunderbird]", "", "Got mail."]);
			}
}); 
